/****** Object:  StoredProcedure [dbo].[spFuellePruefungenAuswaehlen]    Script Date: 24.10.2019 11:44:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO


ALTER PROCEDURE [dbo].[spFuellePruefungenAuswaehlen]
    @Benutzer nvarchar(50),
	@BenutzerID int,
	@AllesLesen bit
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpPruefungen ( PruefungsID, INR, Pruefungsname, Sparkasse, PJahr, Pruefungsende, LP, Benutzer, Art )
SELECT p.PruefungsID, p.INR, p.Pruefungsname, p.Sparkasse, p.PJahr, p.PPruefungsende, isnull(PPName,'') + ', ' + isnull(PPVorname,'') AS LP,
@benutzer AS Benutzer, 'Auswaehlen' as Art
FROM tabPruefung AS p INNER JOIN tabRollenverteilung AS r ON p.PruefungsID = r.PruefungsID 
WHERE r.Rolle='LP' and (dbo.istimteam(P.PruefungsID,@BenutzerID) >= 1  OR @AllesLesen = 1);
END
GO

Update _tabversion set DBVersion = '5.93', DBDate = '25.10.2019'
GO