/****** Object:  StoredProcedure [dbo].[spStichproben]    Script Date: 31.01.2020 17:42:56 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- alter============================================
ALTER PROCEDURE [dbo].[spStichproben] 
	@Benutzer nvarchar(50) 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     P.LfdNR, 
           dbo.GetPNR(P.PruefungsID, @Benutzer) + cast(P.LfdNR  as nvarchar(3)) as LFDNRNeu, 
		   dbo.GetPNR(P.PruefungsID, @Benutzer) + right('000' + cast(P.LfdNR  as nvarchar(3)),3) as LFDNRSort,
           P.EngagementID, P.KNENummer, P.HauptKNEOrt, P.HauptKNEName, P.Branche, P.Darstellung, P.PruefungsID, stabSparkassen.KZ, P.PFLimit, P.PFInAn, 
                      P.SPKRechtl_Blanko_in, P.SPKRechtl_Blanko_wi, tabRisikogruppe.RisikoKZ, P.PFFazit, P.ewb_v_btrg_janf, P.ewb_v, P.ewb_Drohverlustrueckstellungen
FROM         dbo.AusgewaehlteFaelle(@Benutzer) AS P INNER JOIN
                      tabPruefung ON P.PruefungsID = tabPruefung.PruefungsID INNER JOIN
                      stabSparkassen ON tabPruefung.INR = stabSparkassen.InstNr LEFT OUTER JOIN
                      tabRisikogruppe ON P.Risikogruppe = tabRisikogruppe.RID
WHERE     (P.Darstellung = 'Tabellarisch') AND (P.PStatus < 4)
END
GO


Update _tabVersion set DBVersion = '6.03', DBDate = '19.11.2020'
GO